# Poco::Redis

# class RedisOutputStream

Library: Redis
Package: Redis
Header: Poco/Redis/RedisStream.h

## Description

An output stream for writing to a Redis server.

## Inheritance

Direct Base Classes: RedisIOS, std::ostream

All Base Classes: RedisIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### RedisOutputStream

RedisOutputStream(
Net::StreamSocket & redis
);

Creates the RedisOutputStream with the given socket.

## Destructor

### ~RedisOutputStream

~RedisOutputStream();

Destroys the RedisOutputStream.

Flushes the buffer.